Skip to main content
POST
/
2025-10
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
coupons
/2025-10/marketing-solutions/advertisers/{advertiser-id}/coupons
curl --request POST \
  --url https://api.criteo.com/2025-10/marketing-solutions/advertisers/{advertiser-id}/coupons \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "id": "<string>",
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/2025-10/marketing-solutions/advertisers/{advertiser-id}/coupons"

payload = { "data": {
"id": "<string>",
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {id: '<string>', type: '<string>'}})
};

fetch('https://api.criteo.com/2025-10/marketing-solutions/advertisers/{advertiser-id}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "adSetId": "<string>",
      "advertiserId": "<string>",
      "author": "<string>",
      "description": "<string>",
      "endDate": "<string>",
      "format": "<string>",
      "id": "<string>",
      "images": [
        {
          "height": 123,
          "slideUrls": [
            "<string>"
          ],
          "width": 123
        }
      ],
      "landingPageUrl": "<string>",
      "name": "<string>",
      "rotationsNumber": 123,
      "showDuration": 123,
      "showEvery": 123,
      "startDate": "<string>",
      "status": "<string>"
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

advertiser-id
string
required

The advertiser identifier.

Body

application/json

A top-level object that encapsulates a Criteo API request for a single entity.

data
object

A class that represents a domain entity exposed by an API.

Response

201 - application/json

The created Coupon is returned.

A top-level object that encapsulates a Criteo API response for a single entity.

data
object | null

A class that represents a domain entity exposed by an API.

errors
object[] | null
read-only
warnings
object[] | null
read-only